Bug 540433 - KPPP is unable to add DNS entries to /etc/resolv.conf
Summary: KPPP is unable to add DNS entries to /etc/resolv.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdenetwork
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 11:42 UTC by viji
Modified: 2009-12-28 20:11 UTC (History)
9 users (show)

Fixed In Version: 4.3.4-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-28 20:08:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 216107 None None None Never

Description viji 2009-11-23 11:42:49 UTC
Steps to Reproduce:
1. Create a new dial-up connection in KPPP with automatic DNS configuration
2. Connect to Internet
3. open a browser and try to visit fedoraproject.org
  
Actual results:
The browser is unable to lookup fedoraproject.org

Expected results:
You should be able to connect to any host using its domain name.

Additional info:
I found the problem: KPPP tries to get the DNS addresses from
/etc/ppp/resolv.conf which is not present in Fedora 12. So, it is unable to add
DNS server entries to /etc/resolv.conf. However the standard path which pppd
uses to store DNS addresses is /var/run/ppp/resolv.conf.
So, as a workaround it is enough to do a:
ln -s /var/run/ppp/resolv.conf /etc/ppp/resolv.conf

However the actual fix is to modify KPPP to read /var/run/ppp/resolv.conf
instead of /etc/ppp/resolv.conf

Comment 1 Jaroslav Reznik 2009-11-23 15:33:48 UTC
Hi,
could you try please one of these scratchbuilds - depending on your architecture? http://koji.fedoraproject.org/koji/taskinfo?taskID=1824864

Should be fixed there, unfortunatelly I don't have access to any modem to test it.

Comment 2 viji 2009-11-24 06:34:06 UTC
I tried to update the package, but getting the dependency error on kdelibs4. I could not find the required 4.3.3 on koji

# rpm -Uvh kdenetwork-libs-4.3.3-6.fc12.x86_64.rpm kdenetwork-4.3.3-6.fc12.x86_64.rpm kdepimlibs-4.3.3-1.fc12.x86_64.rpm kdepimlibs-akonadi-4.3.3-1.fc12.x86_64.rpm
error: Failed dependencies:
        kdelibs4 >= 4.3.3 is needed by kdepimlibs-4.3.3-1.fc12.x86_64

Comment 3 Kevin Kofler 2009-11-24 09:54:08 UTC
kdelibs4 is a virtual Provides provided by kdelibs.

Comment 4 viji 2009-11-25 07:31:17 UTC
working fine with koji packages

kdenetwork-4.3.3-6.fc12.x86_64.rpm
kdenetwork-libs-4.3.3-6.fc12.x86_64.rpm
kdepimlibs-4.3.3-1.fc12.x86_64.rpm
kdepimlibs-akonadi-4.3.3-1.fc12.x86_64.rpm
kdelibs-4.3.3-4.fc12.x86_64.rpm
kdelibs-common-4.3.3-4.fc12.x86_64.rpm

Comment 5 Jaroslav Reznik 2009-11-25 12:26:40 UTC
Ok,
thanks for help with testing. It's caused by ppp-2.4.3-usepeerdns-var_run_ppp_resolv.conf patch in ppp package and affects all kdenetwork Fedora releases. I'm already in touch with PPP maintainer.

Comment 6 Jaroslav Reznik 2009-11-25 14:53:57 UTC
Adding reference to upstream's wishlist for custom resolv.conf paths.

Comment 7 Fedora Update System 2009-12-17 15:06:51 UTC
kde-l10n-4.3.4-1.fc11,soprano-2.3.1-1.fc11,kdeaccessibility-4.3.4-1.fc11,kdeadmin-4.3.4-2.fc11,kdeartwork-4.3.4-1.fc11,kdebindings-4.3.4-1.fc11,kdebase-4.3.4-1.fc11,kdebase-runtime-4.3.4-2.fc11,kdebase-workspace-4.3.4-1.fc11,kdeedu-4.3.4-1.fc11,kdegames-4.3.4-1.fc11,kdegraphics-4.3.4-1.fc11,kdelibs-4.3.4-1.fc11,kdelibs-experimental-4.3.4-1.fc11,kdemultimedia-4.3.4-1.fc11,kdenetwork-4.3.4-1.fc11,kdepim-4.3.4-1.fc11,kdepim-runtime-4.3.4-1.fc11,kdeplasma-addons-4.3.4-1.fc11,kdesdk-4.3.4-1.fc11,kdetoys-4.3.4-1.fc11,kdeutils-4.3.4-1.fc11,kde-settings-4.2-14,oxygen-icon-theme-4.3.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kde-l10n-4.3.4-1.fc11,soprano-2.3.1-1.fc11,kdeaccessibility-4.3.4-1.fc11,kdeadmin-4.3.4-2.fc11,kdeartwork-4.3.4-1.fc11,kdebindings-4.3.4-1.fc11,kdebase-4.3.4-1.fc11,kdebase-runtime-4.3.4-2.fc11,kdebase-workspace-4.3.4-1.fc11,kdeedu-4.3.4-1.fc11,kdegames-4.3.4-1.fc11,kdegraphics-4.3.4-1.fc11,kdelibs-4.3.4-1.fc11,kdelibs-experimental-4.3.4-1.fc11,kdemultimedia-4.3.4-1.fc11,kdenetwork-4.3.4-1.fc11,kdepim-4.3.4-1.fc11,kdepim-runtime-4.3.4-1.fc11,kdeplasma-addons-4.3.4-1.fc11,kdesdk-4.3.4-1.fc11,kdetoys-4.3.4-1.fc11,kdeutils-4.3.4-1.fc11,kde-settings-4.2-14,oxygen-icon-theme-4.3.4-1.fc11

Comment 8 Fedora Update System 2009-12-18 04:22:58 UTC
kde-l10n-4.3.4-1.fc12, kdeutils-4.3.4-2.fc12, kdetoys-4.3.4-1.fc12, kdesdk-4.3.4-1.fc12, kdepim-runtime-4.3.4-1.fc12, kdepim-4.3.4-1.fc12, kdeplasma-addons-4.3.4-1.fc12, kdenetwork-4.3.4-1.fc12, kdemultimedia-4.3.4-1.fc12, kdegraphics-4.3.4-1.fc12, kdegames-4.3.4-1.fc12, kdeedu-4.3.4-1.fc12, kdebindings-4.3.4-1.fc12, kdeartwork-4.3.4-1.fc12, kdeadmin-4.3.4-1.fc12, kdeaccessibility-4.3.4-1.fc12, kdebase-runtime-4.3.4-2.fc12, kdebase-4.3.4-1.fc12, kdepimlibs-4.3.4-1.fc12, kdelibs-experimental-4.3.4-1.fc12, kdelibs-4.3.4-1.fc12, phonon-4.3.80-2.fc12, kde-settings-4.3-15.1, kdebase-workspace-4.3.4-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-l10n kdeutils kdetoys kdesdk kdepim-runtime kdepim kdeplasma-addons kdenetwork kdemultimedia kdegraphics kdegames kdeedu kdebindings kdeartwork kdeadmin kdeaccessibility kdebase-runtime kdebase kdepimlibs kdelibs-experimental kdelibs phonon kde-settings kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13285

Comment 9 Fedora Update System 2009-12-18 04:33:51 UTC
kde-l10n-4.3.4-1.fc11, soprano-2.3.1-1.fc11, kdeaccessibility-4.3.4-1.fc11, kdeadmin-4.3.4-2.fc11, kdeartwork-4.3.4-1.fc11, kdebindings-4.3.4-1.fc11, kdebase-4.3.4-1.fc11, kdebase-runtime-4.3.4-2.fc11, kdebase-workspace-4.3.4-1.fc11, kdeedu-4.3.4-1.fc11, kdegames-4.3.4-1.fc11, kdegraphics-4.3.4-1.fc11, kdelibs-4.3.4-1.fc11, kdelibs-experimental-4.3.4-1.fc11, kdemultimedia-4.3.4-1.fc11, kdenetwork-4.3.4-1.fc11, kdepim-4.3.4-1.fc11, kdepim-runtime-4.3.4-1.fc11, kdeplasma-addons-4.3.4-1.fc11, kdesdk-4.3.4-1.fc11, kdetoys-4.3.4-1.fc11, kdeutils-4.3.4-1.fc11, kde-settings-4.2-14, oxygen-icon-theme-4.3.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-l10n soprano kdeaccessibility kdeadmin kdeartwork kdebindings kdebase kdebase-runtime kdebase-workspace kdeedu kdegames kdegraphics kdelibs kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdeplasma-addons kdesdk kdetoys kdeutils kde-settings oxygen-icon-theme'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13342

Comment 10 Fedora Update System 2009-12-22 04:41:21 UTC
kde-l10n-4.3.4-1.fc11, soprano-2.3.1-1.fc11, kdeaccessibility-4.3.4-1.fc11, kdeadmin-4.3.4-2.fc11, kdeartwork-4.3.4-1.fc11, kdebindings-4.3.4-1.fc11, kdebase-4.3.4-1.fc11, kdebase-runtime-4.3.4-2.fc11, kdebase-workspace-4.3.4-1.fc11, kdeedu-4.3.4-1.fc11, kdegames-4.3.4-1.fc11, kdegraphics-4.3.4-1.fc11, kdelibs-experimental-4.3.4-1.fc11, kdemultimedia-4.3.4-1.fc11, kdenetwork-4.3.4-1.fc11, kdepim-4.3.4-1.fc11, kdepim-runtime-4.3.4-1.fc11, kdeplasma-addons-4.3.4-1.fc11, kdesdk-4.3.4-1.fc11, kdetoys-4.3.4-1.fc11, kdeutils-4.3.4-1.fc11, kde-settings-4.2-14, oxygen-icon-theme-4.3.4-1.fc11, kdepimlibs-4.3.4-1.fc11, kdelibs-4.3.4-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-l10n soprano kdeaccessibility kdeadmin kdeartwork kdebindings kdebase kdebase-runtime kdebase-workspace kdeedu kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdeplasma-addons kdesdk kdetoys kdeutils kde-settings oxygen-icon-theme kdepimlibs kdelibs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13342

Comment 11 Fedora Update System 2009-12-22 04:52:10 UTC
kde-l10n-4.3.4-1.fc12, kdeutils-4.3.4-2.fc12, kdetoys-4.3.4-1.fc12, kdesdk-4.3.4-1.fc12, kdepim-runtime-4.3.4-1.fc12, kdepim-4.3.4-1.fc12, kdeplasma-addons-4.3.4-1.fc12, kdenetwork-4.3.4-1.fc12, kdemultimedia-4.3.4-1.fc12, kdegraphics-4.3.4-1.fc12, kdegames-4.3.4-1.fc12, kdeedu-4.3.4-1.fc12, kdebindings-4.3.4-1.fc12, kdeartwork-4.3.4-1.fc12, kdeadmin-4.3.4-1.fc12, kdeaccessibility-4.3.4-1.fc12, kdebase-runtime-4.3.4-2.fc12, kdebase-4.3.4-1.fc12, kdepimlibs-4.3.4-1.fc12, kdelibs-experimental-4.3.4-1.fc12, phonon-4.3.80-2.fc12, kde-settings-4.3-15.1, oxygen-icon-theme-4.3.4-1.fc12, kdelibs-4.3.4-3.fc12, kdebase-workspace-4.3.4-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-l10n kdeutils kdetoys kdesdk kdepim-runtime kdepim kdeplasma-addons kdenetwork kdemultimedia kdegraphics kdegames kdeedu kdebindings kdeartwork kdeadmin kdeaccessibility kdebase-runtime kdebase kdepimlibs kdelibs-experimental phonon kde-settings oxygen-icon-theme kdelibs kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13285

Comment 12 Fedora Update System 2009-12-28 20:08:36 UTC
kde-l10n-4.3.4-1.fc12, kdeutils-4.3.4-2.fc12, kdetoys-4.3.4-1.fc12, kdesdk-4.3.4-1.fc12, kdepim-runtime-4.3.4-1.fc12, kdepim-4.3.4-1.fc12, kdeplasma-addons-4.3.4-1.fc12, kdenetwork-4.3.4-1.fc12, kdemultimedia-4.3.4-1.fc12, kdegraphics-4.3.4-1.fc12, kdegames-4.3.4-1.fc12, kdeedu-4.3.4-1.fc12, kdebindings-4.3.4-1.fc12, kdeartwork-4.3.4-1.fc12, kdeadmin-4.3.4-1.fc12, kdeaccessibility-4.3.4-1.fc12, kdebase-runtime-4.3.4-2.fc12, kdebase-4.3.4-1.fc12, kdepimlibs-4.3.4-1.fc12, kdelibs-experimental-4.3.4-1.fc12, phonon-4.3.80-2.fc12, kde-settings-4.3-15.1, oxygen-icon-theme-4.3.4-1.fc12, kdelibs-4.3.4-3.fc12, kdebase-workspace-4.3.4-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-12-28 20:11:17 UTC
kde-l10n-4.3.4-1.fc11, soprano-2.3.1-1.fc11, kdeaccessibility-4.3.4-1.fc11, kdeadmin-4.3.4-2.fc11, kdeartwork-4.3.4-1.fc11, kdebindings-4.3.4-1.fc11, kdebase-4.3.4-1.fc11, kdebase-runtime-4.3.4-2.fc11, kdebase-workspace-4.3.4-1.fc11, kdeedu-4.3.4-1.fc11, kdegames-4.3.4-1.fc11, kdegraphics-4.3.4-1.fc11, kdelibs-experimental-4.3.4-1.fc11, kdemultimedia-4.3.4-1.fc11, kdenetwork-4.3.4-1.fc11, kdepim-4.3.4-1.fc11, kdepim-runtime-4.3.4-1.fc11, kdeplasma-addons-4.3.4-1.fc11, kdesdk-4.3.4-1.fc11, kdetoys-4.3.4-1.fc11, kdeutils-4.3.4-1.fc11, kde-settings-4.2-14, oxygen-icon-theme-4.3.4-1.fc11, kdepimlibs-4.3.4-1.fc11, kdelibs-4.3.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.